Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.rt.core
Class WhenTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.jstl.core.ConditionalTagSupport
              org.apache.taglibs.standard.tag.common.core.WhenTagSupport
                  org.apache.taglibs.standard.tag.rt.core.WhenTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class WhenTag

extends WhenTagSupport

Tag handler for <when> in JSTL's rtexprvalue library.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`WhenTag()`

Method Summary
`protected boolean` | `condition()` Subclasses implement this method to compute the boolean result of the conditional action.
`void` | `release()` Releases any resources this ConditionalTagSupport may have (or inherit).
`void` | `setTest(boolean test)`

Methods inherited from class org.apache.taglibs.standard.tag.common.core.WhenTagSupport
`doStartTag`

Methods inherited from class javax.servlet.jsp.jstl.core.ConditionalTagSupport
`setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhenTag

    public WhenTag()

Method Detail

### release

    public void release()

  Description copied from class: `ConditionalTagSupport`
  Releases any resources this ConditionalTagSupport may have (or inherit).

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `ConditionalTagSupport`
  See Also:
    `Tag.release()`

### condition

    protected boolean condition()

  Description copied from class: `ConditionalTagSupport`

  Subclasses implement this method to compute the boolean result of the conditional action. This method is invoked once per tag invocation by `doStartTag()`.

  Specified by:
    `condition` in class `ConditionalTagSupport`
  Returns:
    a boolean representing the condition that a particular subclass uses to drive its conditional logic.

### setTest

    public void setTest(boolean test)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.